##### dynamic_vector_buffer::dynamic_vector_buffer (1 of 3 overloads)

Construct a dynamic buffer from a vector.

    dynamic_vector_buffer(
        std::vector< Elem, Allocator > & v,
        std::size_t maximum_size = (std::numeric_limits< std::size_t >::max)());

###### Parameters

v

  The vector to be used as backing storage for the dynamic buffer. The object stores a reference to the vector and the user is responsible for ensuring that the vector object remains valid while the `dynamic_vector_buffer` object, and copies of the object, are in use.

maximum_size

  Specifies a maximum size for the buffer, in bytes.